Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.server.labrador
Class ContentProxy

    java.lang.Object
      com.dbxml.db.server.labrador.ContentProxy

public final class ContentProxy
extends java.lang.Object

ContentProxy is a proxy facade that is used to expose Content functionality via Labrador.

Field Summary
`static java.lang.String` | `CANONICAL_NAME`
`static java.lang.String` | `COL_NAME`
`static java.lang.String` | `CONTENT_TYPE`
`static java.lang.String` | `NAME`
`static java.lang.String[]` | `PARAMS_setDocument`
`static java.lang.String[]` | `PARAMS_setValue`
`static java.lang.String` | `REST_CONTENT_TYPE_getDocument`
`static java.lang.String` | `REST_DEFAULT_METHOD`

Constructor Summary
`ContentProxy(Collection col, java.lang.String docName)`

Method Summary
`byte[]` | `get()`
`java.lang.String` | `getDocument()`
`java.util.Map` | `getInformation()`
`byte[]` | `getValue()`
`void` | `setDocument(java.lang.String document)`
`void` | `setValue(byte[] value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REST_DEFAULT_METHOD

    public static final java.lang.String REST_DEFAULT_METHOD

See Also:
  Constant Field Values

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

### COL_NAME

    public static final java.lang.String COL_NAME

See Also:
  Constant Field Values

### CANONICAL_NAME

    public static final java.lang.String CANONICAL_NAME

See Also:
  Constant Field Values

### CONTENT_TYPE

    public static final java.lang.String CONTENT_TYPE

See Also:
  Constant Field Values

### REST_CONTENT_TYPE_getDocument

    public static final java.lang.String REST_CONTENT_TYPE_getDocument

See Also:
  Constant Field Values

### PARAMS_setDocument

    public static final java.lang.String[] PARAMS_setDocument

### PARAMS_setValue

    public static final java.lang.String[] PARAMS_setValue

Constructor Detail

### ContentProxy

    public ContentProxy(Collection col,
                        java.lang.String docName)

Method Detail

### getInformation

    public java.util.Map getInformation()
                                 throws DBException

  Throws:
    `DBException`

### get

    public byte[] get()
               throws com.dbxml.labrador.http.HTTPException,
                      DBException

  Throws:
    `com.dbxml.labrador.http.HTTPException`
    `DBException`

### getDocument

    public java.lang.String getDocument()
                                 throws DBException

  Throws:
    `DBException`

### getValue

    public byte[] getValue()
                    throws DBException

  Throws:
    `DBException`

### setDocument

    public void setDocument(java.lang.String document)
                     throws DBException

  Throws:
    `DBException`

### setValue

    public void setValue(byte[] value)
                  throws DBException

  Throws:
    `DBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group